# $Revision: 1.251.2.6 $, $Date: 2007/03/21 21:54:11 $
#
# Conditional build:
%bcond_with	nautilus	# disable nautilus view
%bcond_with	gcc2		# compile using gcc2 to get working gcc2-compiled java
				# plugin (better get gcc3-compiled one).
				# Flash plugin seems to still not work, use
				# mozilla instead. To compile wit this option, You
				# have to install mozilla compiled with gcc2.
#
%define		snap	20040117

Summary:	Galeon - gecko-based GNOME web browser
Summary(pl):	Galeon - przegldarka WWW dla GNOME
Summary(pt_BR):	O galeon  um browser para o GNOME baseado no mozilla
Summary(zh_CN):	GeckoGNOME
Name:		galeon
Version:	2.0.2
Release:	3
Epoch:		2
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://dl.sourceforge.net/galeon/%{name}-%{version}.tar.bz2
# Source0-md5:	43d395aa3e6424d980919942e5499dba
#Source0:	%{name}-%{version}-%{snap}.tar.bz2
Source1:	%{name}-config-tool.1
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-home_etc.patch
Patch2:		%{name}-po.patch
Patch3:		%{name}-mozilla.patch
Patch4:		%{name}-agent.patch
URL:		http://galeon.sourceforge.net/
BuildRequires:	GConf2-devel >= 2.4.0
BuildRequires:	ORBit2-devel >= 2.8.3
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.4.4
BuildRequires:	gnome-desktop-devel >= 2.9.91
BuildRequires:	gnome-vfs2-devel >= 2.10.0-2
BuildRequires:	gtk+2-devel >= 2:2.4.4
BuildRequires:	intltool
BuildRequires:	libbonoboui-devel >= 2.4.0
BuildRequires:	libglade2-devel >= 1:2.4.0
BuildRequires:	libgnomeui-devel >= 2.6.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.6.6
BuildRequires:	xulrunner-devel >= 1.8.0.4
%{?with_nautilus:BuildRequires:	nautilus-devel >= 2.4.0}
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	scrollkeeper >= 0.1.4
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	scrollkeeper
Requires(post,preun):	GConf2
Requires:	glib2 >= 1:2.4.4
Requires:	gtk+2 >= 2:2.4.4
Requires:	libbonobo >= 2.4.0
%requires_eq	xulrunner
Provides:	wwwbrowser
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# can be provided by mozilla or mozilla-embedded
%define		_noautoreqdep	libgtkembedmoz.so libgtksuperwin.so libxpcom.so

%if %{with gcc2}
%define		__cc		gcc2
%define		__cxx		gcc2
%endif

%description
GNOME browser based on Gecko (Mozilla rendering engine).

%description -l pl
Galeon jest przegldark WWW bazujc na Gecko (mechanizmie
interpretacji stron Mozilli).

%description -l pt_BR
O galeon  um browser para o GNOME baseado no mozilla.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

# regenerate - didn't compile with ORBit2 2.7.2
cd idl
orbit-idl-2 -I /usr/share/idl/bonobo-2.0 -I /usr/share/idl/bonobo-activation-2.0 Galeon*.idl
mv Galeon*.[ch] ../src

%build
rm -f missing
cp /usr/share/automake/mkinstalldirs .
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--disable-schemas-install \
	%if %{with nautilus}
	--enable-nautilus-view=yes \
	%else
	--enable-nautilus-view=no \
	%endif
	--with-mozilla=xulrunner
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man1

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man1

# No components installed now.
#rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/components/*.la

# galeon-2.0.mo, but gnome/help/galeon
%find_lang galeon-2.0 --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post
%gconf_schema_install galeon.schemas
%update_desktop_database_post

%preun
%gconf_schema_uninstall galeon.schemas

%postun
%scrollkeeper_update_postun
%update_desktop_database_postun

%files -f galeon-2.0.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README*
%attr(755,root,root) %{_bindir}/*
%{_libdir}/bonobo/servers/*
%{_datadir}/galeon
%{_desktopdir}/*.desktop
%{_datadir}/gnome-2.0/ui/*.xml
%{_omf_dest_dir}/%{name}
%{_datadir}/sounds/galeon
%{_pixmapsdir}/*
%{_sysconfdir}/gconf/schemas/*
%{_sysconfdir}/sound/events/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: galeon.spec,v $
Revision 1.251.2.6  2007/03/21 21:54:11  hawk
- added agent patch
- release 3 (xulrunner 1.8.1.3)

Revision 1.251.2.5  2007/02/26 12:01:43  hawk
- release 2

Revision 1.251.2.4  2007/01/25 13:23:58  hawk
- dropped mozilla_firefox bcond, firefox no longer provides devel package

Revision 1.251.2.3  2007/01/03 16:47:36  hawk
- specify which mozilla to use, autodetection always choose firefox if
  few mozilla devel packages co-exist in system

Revision 1.251.2.2  2007/01/01 19:25:11  hawk
- updated to 2.0.2
- mozilla is dead, replaced mozilla deps with xulrunner deps
- build with xulrunner by default
- requires full firefox/xulrunner, not only libs

Revision 1.251.2.1  2006/12/27 10:29:32  ankry
- rel. 9

Revision 1.251  2006/12/08 16:57:49  shadzik
- add missing commitlog entry

Revision 1.250  2006/12/08 15:00:36  glen
- depend on mozilla-firefox-libs

Revision 1.249  2006/12/08 14:22:21  glen
- rel 8

Revision 1.248  2006/11/26 11:24:25  glen
- rel 7 (mozilla-firefox 1.5.0.8)

Revision 1.247  2006/11/07 22:25:04  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.246  2006/09/15 18:21:10  glen
- rel 6 (mozilla-firefox 1.5.0.7)

Revision 1.245  2006/08/12 09:29:39  ankry
- formatting

Revision 1.244  2006/08/03 12:04:17  hawk
- release 5

Revision 1.243  2006/07/30 15:07:57  hawk
- release 4 to rebuild with new firefox

Revision 1.242  2006/06/05 06:50:30  hawk
- release 3

Revision 1.241  2006/05/21 07:38:21  hawk
- added mozilla_firefox bcond
- build against mozilla-firefox-devel by default
- release 2

Revision 1.240  2006/02/27 19:19:20  twittner
- up to 2.0.1

Revision 1.239  2006/01/26 09:18:46  ankry
- P: wwwbrowser (for future use)

Revision 1.238  2005/12/12 13:43:14  qboosh
- updated md5

Revision 1.237  2005/12/12 13:34:31  zboczuch
- up to 2.0.0
- BR: gnome-desktop-devel

Revision 1.236  2005/10/02 20:04:07  arekm
- rel 5

Revision 1.235  2005/08/10 07:04:37  hawk
- release 4 to rebuild with mozilla 1.7.11

Revision 1.234  2005/07/15 15:40:41  saq
- rel 3 for rebuild with mozilla 1.7.8

Revision 1.233  2005/05/25 08:42:22  paladine
- new style macros, rel. 2

Revision 1.232  2005/05/22 19:22:32  qboosh
- gpm-friendly Source0 URL

Revision 1.231  2005/05/22 19:04:35  aredridel
- up to 1.3.21

Revision 1.230  2005/05/14 08:08:09  ankry
- kill no locale; why &^#%0@$ the kill was commented out??? Rel.4

Revision 1.229  2005/03/27 15:07:07  havner
- reverted

Revision 1.228  2005/03/27 15:02:37  havner
- higher nspr requires

Revision 1.227  2005/03/27 14:55:38  havner
- BR: nspr-devel

Revision 1.226  2005/03/27 13:23:11  havner
- s/mozilla/mozilla-embedded
- rel 3 for rebuild

Revision 1.225  2005/03/22 19:11:15  aflinta
- fixed epoch

Revision 1.224  2005/03/20 18:46:46  aflinta
- reverted nautilus bcond (doesn't work with gnome 2.10), rebuild with howl 0.9.10, release 2

Revision 1.223  2005/03/13 13:31:31  pawcioos
- updated to 1.3.20

Revision 1.222  2005/02/26 14:46:27  saq
- up to 1.3.19

Revision 1.221  2005/01/13 14:37:57  hawk
- release++ to rebuild with new mozilla

Revision 1.220  2004/12/22 01:27:55  zbyniu
- BR: pkgconfig

Revision 1.219  2004/10/26 13:56:43  aflinta
- up to version 1.3.18

Revision 1.218  2004/09/21 00:05:58  ankry
- rel. 3

Revision 1.217  2004/09/16 19:06:50  havner
- rel 2

Revision 1.216  2004/09/16 18:55:00  grzegol
- added mozilla173 patch (fix building with mozilla-1.7.3)

Revision 1.215  2004/09/13 21:46:19  grzegol
- run /usr/bin/update-desktop-database in %post and %postun

Revision 1.214  2004/08/22 21:58:19  grzegol
- updated to 1.3.17
- added mozilla patch (detect mozilla home properly)

Revision 1.213  2004/08/11 13:54:53  ankry
- rel. 3 to rebuild with mozilla 1.7.2

Revision 1.212  2004/08/04 06:23:49  ankry
- i18n fixes (-po patch), rel. 2

Revision 1.211  2004/07/04 11:57:16  grzegol
- updated to 1.3.16
- removed outdated mozilla17 and gcc34 patches

Revision 1.210  2004/06/28 18:56:37  grzegol
- added mozilla17 patch (compile fix for mozilla-1.7)
- added gcc34 patch (compile fix for gcc-3.4)
- rel. 2 to rebuild with mozilla-1.7

Revision 1.209  2004/06/01 19:47:26  grzegol
- updated to 1.3.15

Revision 1.208  2004/04/27 08:59:53  trojan
- updated to 1.3.14a

Revision 1.207  2004/03/22 00:17:13  grzegol
- added BR and R: glib2 >= 1:2.4.0

Revision 1.206  2004/03/21 13:15:55  grzegol
- updated to 1.3.14

Revision 1.205  2004/03/19 23:46:25  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.204  2004/03/05 16:23:52  grzegol
- rel. 2 to rebuild with mozilla-1.7a (for nest)

Revision 1.203  2004/02/17 15:12:55  grzegol
- updated to 1.3.13a
- added locale-names patch (changes locale no -> nb)
- removed outdated/not needed %configure options

Revision 1.202  2004/02/13 15:26:21  grzegol
- removed R(post): mozilla - not needed anymore

Revision 1.201  2004/01/23 13:08:08  grzegol
- updated to 1.3.12

Revision 1.200  2004/01/20 16:31:43  grzegol
- updated to 1.3.11a-20040117 snap (for mozilla-1.6)

Revision 1.199  2003/12/29 23:05:47  grzegol
- added without_nautilus bcond (galeon doesn't build with nautilus-2.5.x)

Revision 1.198  2003/12/20 12:11:56  qboosh
- updated gcc2 bcond description (maybe it's time to drop it?)

Revision 1.197  2003/12/19 17:49:44  eothane
- %bcond_with new_bconds
- changed dl.sf.net to dl.sourceforge.net (SourceN:)

Revision 1.196  2003/12/19 15:12:33  grzegol
- updated to 1.3.11a

Revision 1.195  2003/11/14 06:18:12  witekfl
- added home_etc.patch
- rel 2

Revision 1.194  2003/11/10 23:01:49  qboosh
- BR: libtool

Revision 1.193  2003/11/07 22:40:30  freetz
- added .desktop patch (x-www category readded)

Revision 1.192  2003/10/28 22:58:07  freetz
- 1.3.10
- .desktop patch removed (categories added in this rel)

Revision 1.191  2003/10/25 11:45:21  ankry
- reversed md5 change

Revision 1.189  2003/10/25 11:27:57  grzegol
- updated to 1.3.9-20031025 snap (for mozilla-1.5)
- removed outdated history-xml patch (already in sources)

Revision 1.188  2003/10/15 09:32:20  qboosh
- added epoch to minmozver

Revision 1.187  2003/10/14 09:01:42  tiwek
- release up

Revision 1.186  2003/10/14 09:01:13  tiwek
- s/mozilla-embedded/mozilla/

Revision 1.185  2003/09/30 20:18:23  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.184  2003/09/16 21:15:53  krzak
- history-xml.patch, that fix readign hisotry.xml file
- rel. 2

Revision 1.183  2003/09/16 09:15:19  krzak
- up to 1.3.9

Revision 1.182  2003/09/12 18:20:32  krzak
- fixes desktop.patch
- rel. 2

Revision 1.181  2003/09/10 19:40:17  grzegol
- updated to 1.3.8

Revision 1.180  2003/09/03 04:08:42  grzegol
- updated to 20030905 snap for mozilla-1.5b
- removed outdated schemas patch

Revision 1.179  2003/08/26 20:31:19  ankry
- s/[Gg]nome/GNOME/

Revision 1.178  2003/08/18 08:08:05  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.177  2003/08/13 18:28:09  malekith
- fix bcond syntax

Revision 1.176  2003/08/10 16:10:45  grzegol
- added schemas patch (fixes galeon.schemas)
- rel. 4

Revision 1.175  2003/08/01 11:58:49  grzegol
- rel++ to rebuild without linc
- sorting/cosmetics

Revision 1.174  2003/07/28 13:48:03  grzegol
- rel. 2 to rebuild with mozilla 1.5a

Revision 1.173  2003/07/22 21:12:59  aflinta
- and back to original

Revision 1.172  2003/07/22 21:11:52  aflinta
- fetch src0 from dropin

Revision 1.171  2003/07/22 21:08:06  aflinta
- version 1.3.7

Revision 1.170  2003/07/21 15:12:23  aflinta
- version 1.3.6

Revision 1.169  2003/07/10 18:08:20  aflinta
- fixed epoch issue

Revision 1.168  2003/07/10 17:55:50  aflinta
- fixed mozilla build

Revision 1.167  2003/07/09 14:18:57  qboosh
- added uint patch, fixed build with current ORBit2
- removed unnecessary *.la, use find_lang for gnome/help files
- removed regxpcom from post - galeon doesn't provide any resources to mozilla dirs

Revision 1.166  2003/07/03 09:08:24  areq
- Release 3 - rebuild with new mozilla

Revision 1.165  2003/06/26 06:22:30  gotar
- use %{_desktopdir} macro

Revision 1.164  2003/06/26 06:06:03  gotar
- fixed desktop entry,
- release 2.

Revision 1.163  2003/06/09 06:15:31  aflinta
- version 1.3.5

Revision 1.162  2003/05/28 12:58:58  malekith
- massive attack: source-md5

Revision 1.161  2003/05/25 05:47:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.160  2003/05/21 09:29:32  trojan
- s/bonobo-activation/libbonobo/ in {,B}R

Revision 1.159  2003/05/18 10:41:41  aflinta
- proper release for easier upgrade

Revision 1.158  2003/05/18 10:27:19  aflinta
- version 1.3.4, snap 20030518

Revision 1.157  2003/05/17 22:02:06  aflinta
- rebuild with latest mozilla, release 2

Revision 1.156  2003/04/22 16:18:01  aflinta
- updated to version 1.3.4 - final

Revision 1.155  2003/04/19 22:42:19  grzegol
- updated to 1.3.4-20030419 snap

Revision 1.154  2003/04/13 18:07:19  grzegol
- updated to 20030413 snap
- removed outdated mozilla-config_h patch (already in sources)

Revision 1.153  2003/04/04 06:59:19  aflinta
- updated to snap 20030404

Revision 1.152  2003/03/15 15:36:52  aflinta
- updated to snap 20030315

Revision 1.151  2003/03/09 20:37:33  aflinta
- bz2 source is even better :)

Revision 1.150  2003/03/09 20:19:35  aflinta
- updated to version 1.3.3

Revision 1.149  2003/02/26 10:55:45  aflinta
- updated to snap 20030226

Revision 1.148  2003/02/17 19:33:49  aflinta
- corrected mozilla-snapshot option

Revision 1.147  2003/02/17 19:30:27  aflinta
- corrected schemas option in configure

Revision 1.146  2003/02/17 13:26:53  areq
- 1.3.2

Revision 1.145  2003/02/14 07:47:56  trojan
- added -n in %setup

Revision 1.144  2003/02/13 14:05:54  grzegol
- updated to 20030213 snap
- minmozver 1.3b-0.2

Revision 1.143  2003/02/13 14:02:05  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.142  2003/02/05 21:34:52  misiek
- update to todays snap

Revision 1.141  2003/02/03 19:17:59  wrobell
- removed obsoleted applnk and omf stuff

Revision 1.140  2003/01/22 17:05:04  aflinta
- updated to snap 20030121

Revision 1.139  2003/01/14 09:17:45  aflinta
- updatd to snap 200301014

Revision 1.138  2003/01/11 13:45:32  misiek
- updated

Revision 1.137  2003/01/03 19:36:07  aflinta
- updated to snap 20030103

Revision 1.136  2002/12/21 17:51:28  aflinta
- updated snap to 20021221, --with gcc2 conditional added to get proper build with mozilla (gcc2 ver) and java working

Revision 1.135  2002/12/09 20:35:55  aflinta
- updated to version 1.3.1, still no source, cause original source package
  is broken

Revision 1.134  2002/12/08 22:08:33  aflinta
- snap 20021206
- moved to /usr

Revision 1.133  2002/12/02 00:15:05  aflinta
- updated to 20021201 snap

Revision 1.132  2002/11/28 23:48:31  wrobell
- massive attack: do not put bonobo servers into /usr/lib; remove
  _bonobo_server_dir definition (bonobo-activation configuration
  should be modified to look for servers in /usr and /usr/X11R6)

Revision 1.131  2002/11/28 13:53:27  wrobell
- massive attack: s/_serverdir/_bonobo_server_dir/cg

Revision 1.130  2002/11/27 10:26:07  aflinta
- updated BR

Revision 1.129  2002/11/27 10:18:47  aflinta
- updated to 20021127 snap

Revision 1.128  2002/11/16 11:03:29  misiek
- updated to 20021116

Revision 1.127  2002/11/04 09:09:16  aflinta
- updated to 20021104 snap

Revision 1.126  2002/10/29 18:54:33  aflinta
- rebuild against bonobo-activation 2.1.0, release up

Revision 1.125  2002/10/28 09:51:50  aflinta
- update to snap 20021028
- version 1.3

Revision 1.124  2002/10/27 13:00:33  aflinta
- added bookmarks_pixmaps_path.patch

Revision 1.123  2002/10/27 02:22:34  aflinta
- updated to snap 20021027 - due new patch, mozilla-1.2Beta-3 is needed

Revision 1.122  2002/10/25 12:24:27  malekith
- release 0.%{snap}.3

Revision 1.121  2002/10/24 13:00:22  misiek
- include ExtraPrefs doc

Revision 1.120  2002/10/21 09:19:21  aflinta
- updated to version 20021021

Revision 1.119  2002/10/20 14:18:22  aflinta
- updated to snap 20021020 which is working with mozilla 1.2b

Revision 1.118  2002/10/19 11:09:33  wrobell
- snap 20021019

Revision 1.117  2002/10/18 21:42:53  aflinta
- We need in postin GConf2 instead GConf

Revision 1.116  2002/10/16 20:35:23  wrobell
- release 0.%{snap}.1

Revision 1.115  2002/10/16 19:12:11  wrobell
- merged galeon-gnome2 branch
- minor clean up

Revision 1.106.2.6  2002/10/15 17:48:03  grzegol
- updated to 20021015 snapshot

Revision 1.106.2.5  2002/10/12 00:56:26  malekith
- fixed path for gconf schema

Revision 1.106.2.4  2002/09/29 21:00:16  aflinta
- it compiles, even packages, but doesn't work :(

Revision 1.106.2.3  2002/09/29 14:53:46  malekith
- some more auto*crap
- still doesn't build I guess

Revision 1.106.2.2  2002/09/29 03:30:38  aflinta
- started update to latest snap, but I need some sleep till I correct AM/AC errors

Revision 1.106.2.1  2002/05/29 11:24:19  wiget
- galeon from CVS HEAD for GNOME2

Revision 1.114  2002/10/07 11:21:02  qboosh
- BR: autoconf,automake; added Requires(post) list; release 4

Revision 1.113  2002/10/04 10:17:43  ankry
- some pl text fixes, release 3

Revision 1.112  2002/10/03 17:17:07  krzak
- Release 2
- fixed omf file
- STBR

Revision 1.111  2002/09/16 20:57:22  kloczek
- updated to 1.2.6: many bug fixes.

Revision 1.110  2002/08/06 13:16:20  qboosh
- BR: libglade-gnome-devel

Revision 1.109  2002/06/23 20:52:49  kloczek
- perl -pi -e "s/^gettextize --copy --force/\%\{__gettextize\}/"

Revision 1.108  2002/06/08 21:16:00  filon
- updated to 1.2.5
- builds and works, STBR

Revision 1.107  2002/06/06 10:29:09  areq
- requires mozilla 1.0
- Release 2
- STBR (it works for me)
